## requirements-parser 0.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/RequirementsParser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/RequirementsParser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/RequirementsParser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/RequirementsParser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
# encoding: utf-8

# This file is part of requirements-parser library.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0

# This file includes dependencies specifically required to build our Documentation.

m2r2>=0.3.2
Sphinx>=4.3.2
sphinx-autoapi>=1.8.4
sphinx-rtd-theme>=1.0.0

## requirements-parser 0.9.0

=== debian/changelog ===
requirements-parser (0.9.0-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Breaks+Replaces (Closes: #1072390)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 02 Jun 2024 13:30:11 +0200

requirements-parser (0.9.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ SZ Lin (林上智) ]
  * Fix broken package naming (Closes: #1019735)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 16:37:33 +0200

requirement-parser (0.9.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Temporary rollback to existing package name in autopkgtest too.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 13:00:26 +0200

requirement-parser (0.9.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (Closes: #1010042)
  * Replace nose(2) by pytest (Closes: #1018612)
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 01:57:01 +0200

requirement-parser (0.5.0+git20220420.1ce9236-2) unstable; urgency=medium

  * d/copyright
    - Update upstream copyright
  * d/control
    - Bump Standards-Version to 4.6.2

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Wed, 08 Feb 2023 23:54:48 +0800

requirement-parser (0.5.0+git20220420.1ce9236-1) unstable; urgency=medium

  [ Gavin Lai (賴建宇) ]
  * New upstream version (Closes: #1010042)
  * d/control:
    - Replace python3-nose to python3-nose2 in Build-Depends (Closes: #1018612)
    - Bump Standards-Version to 4.6.1.0
    - Add Build-Depends to support PEP 517
  * d/patches
    - Add Fix-lintian-unknown-file-in-python-module-directory patch

  [ SZ Lin (林上智) ]
  * Replace the inactive maintainer with an active one
  * Fix broken package naming (Closes: #1019735)

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 03 Jan 2023 21:01:30 +0800

requirement-parser (0.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for testing migration.
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Dec 2020 14:26:24 -0500

requirement-parser (0.2.0-1) unstable; urgency=low

  [ Alvin Chen ]
  * Initial release. Closes: #958456

  [ SZ Lin (林上智) ]
  * d/control:
    - Add VCS information
    - Add uploader column
  * d/copyright:
    - Add copyright information

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 08 May 2020 17:40:29 +0800

=== debian/control ===
Source: requirements-parser
Section: python
Priority: optional
Maintainer: Gavin Lai (賴建宇) <gavin09@gmail.com>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest,
Standards-Version: 4.7.0
Homepage: https://github.com/davidfischer/requirements-parser
Vcs-Browser: https://salsa.debian.org/debian/requirements-parser
Vcs-Git: https://salsa.debian.org/debian/requirements-parser.git
Rules-Requires-Root: no

Package: python3-requirements
Architecture: all
Replaces: python3-requirement-parser (<< 0.9.0-0.3~)
Breaks: python3-requirement-parser (<< 0.9.0-0.3~)
Provides: python3-requirement-parser
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module for parsing Pip requirement files
 This is a small Python module for parsing Pip requirement files.
 The goal is to parse everything in the Pip requirement file format spec.

Package: python3-requirement-parser
Architecture: all
Depends: python3-requirements, ${misc:Depends}, ${python3:Depends}
Section: oldlibs
Description: Python module for parsing Pip requirement files (transitional package)
 This is a small Python module for parsing Pip requirement files.
 The goal is to parse everything in the Pip requirement file format spec.
 .
 This is a transitional dummy package to help python3-requirement-parser users
 to upgrade to python3-requirements, you may remove it safely.

=== debian/tests/control ===
Depends:
 python3-all,
 python3-setuptools,
 python3-requirements,
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -c "import requirements; print(requirements)"; done

## requirements-parser 0.11.0

=== debian/changelog ===
requirements-parser (0.11.0-2) unstable; urgency=medium

  * d/control: Build-Depends on python3-setuptools (Closes: #1080794)

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Fri, 06 Sep 2024 08:33:35 +0800

requirements-parser (0.11.0-1) unstable; urgency=medium

  * New upstream version
  * d/tests: Add pytest
  * d/salsa-ci: Add default pipeline

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Thu, 29 Aug 2024 00:18:23 +0800

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-poetry-core,
+               python3-setuptools,
                python3-pytest,
 Standards-Version: 4.7.0
 Homepage: https://github.com/davidfischer/requirements-parser

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requirements

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Depends:
 python3-all,
 python3-setuptools,
 python3-requirements,
Test-Command: set -e; for py in $(py3versions -i); do echo "[*] testing on $py:"; $py -c "import requirements; print(requirements)"; done

Depends: python3-all, python3-pytest
Test-Command: set -e; for py in $(py3versions -i); do  echo "[*] running pytest on $py:";  $py -m pytest --verbose; done

## requirements-parser 0.13.0

=== debian/changelog ===
requirements-parser (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0.
  * d/watch:
    - track upstream repo move.
    - use version 5 format.
  * d/control:
    - Standards-Version: 4.7.3.
    - drop redundant Priority field.
    - drop Rules-Requires-Root.
    - update upstream URLs.
  * d/upstream/metadata: update upstream URLs.
  * d/copyright: update upstream URLs.

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Fri, 23 Jan 2026 11:21:24 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: requirements-parser
 Section: python
-Priority: optional
 Maintainer: Gavin Lai (賴建宇) <gavin09@gmail.com>
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -10,11 +9,10 @@
                python3-poetry-core,
                python3-setuptools,
                python3-pytest,
-Standards-Version: 4.7.0
-Homepage: https://github.com/davidfischer/requirements-parser
+Standards-Version: 4.7.3
+Homepage: https://github.com/madpah/requirements-parser
 Vcs-Browser: https://salsa.debian.org/debian/requirements-parser
 Vcs-Git: https://salsa.debian.org/debian/requirements-parser.git
-Rules-Requires-Root: no
 
 Package: python3-requirements
 Architecture: all

=== debian/watch ===
Version: 5

Source: https://github.com/madpah/requirements-parser/tags
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S+)\.tar\.gz/requirements-parser-$1\.tar\.gz/
